package com.xjrsoft.common.enums;

/**
 * 通知策略
 * @Author: tzx
 * @Date: 2022/10/26 15:14
 */
public enum WorkflowNoticePolicyType {
    /**
     * 系统消息
     */
    SYSTEM(0, "系统消息"),
    /**
     * 短信
     */
    SMS(1, "短信"),
    /**
     * 企业微信
     */
    WECHAT(2, "企业微信"),

    /**
     * 钉钉
     */
    DING(3, "钉钉"),

    /**
     * 邮箱
     */
    EMAIL(4, "邮箱");

    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    WorkflowNoticePolicyType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
